Name:           electric
Version:        8.08
Release:        1%{?dist}
Summary:        Sophisticated Java based VLSI CAD System

Group:          Applications/Engineering
License:        GPLv3
URL:            http://www.staticfreesoft.com/

Source0:        ftp://ftp.gnu.org/pub/gnu/electric/%{name}-%{version}.jar
Source1:        %{name}.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  desktop-file-utils

Requires:       java-1.6.0-openjdk
Requires:       java
Requires:       electronics-menu

BuildArch:      noarch

%description
Electric is a sophisticated electrical CAD system that can handle
many forms of circuit design, including custom IC layout (ASICs),
schematic drawing, hardware description language specifications,
and electro-mechanical hybrid layout.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils


%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -T -c %{name}-%{version} -a 0

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

jar xf %{SOURCE0}


%build
ant -verbose        \
    jarForGNUBinary \
    javadoc


%install
%{__rm} -rf %{buildroot}


# generating empty directories
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_javadir}/%{name}


# real java binary created by this spec file
install -pm 0755 %{name}-%{version}.jar \
                 %{buildroot}%{_javadir}/%{name}/%{name}-%{version}.jar


# dummy executable file to call %%{name}-%%{version}.jar
cat > %{name} << EOF
#!/bin/bash
java -jar %{_javadir}/%{name}/%{name}-%{version}.jar
EOF
install -pm 0755 %{name} %{buildroot}%{_bindir}/%{name}


# desktop file and its icon
desktop-file-install --vendor fedora           \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}
install -d %{buildroot}%{_datadir}/pixmaps/
install -pm 0644 com/sun/electric/tool/user/help/helphtml/iconplug.png \
                 %{buildroot}%{_datadir}/pixmaps/%{name}.png


# javadoc API
install -d %{buildroot}%{_javadocdir}/%{name}
%{__cp} -rp apidoc/* %{buildroot}%{_javadocdir}/%{name}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc packaging/README.txt ChangeLog.txt packaging/LicenseGNU.txt
%{_bindir}/%{name}
%{_javadir}/%{name}/%{name}-%{version}.jar
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Tue Dec 23 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 8.08-1
- new upstream release

* Sun Dec 07 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 8.07-2
- Added desktop-file-utils as BR

* Sat Nov 22 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 8.07-1
- Updated to 8.07 and making electric compile for fedora.
- spec file was entirely revamped
- subpackage javadoc
- comply to electronics-menu structure and desktop file
- build arch : noarch

* Wed Jun 25 2008 Aanjhan Ranganathan <aanjhan@tuxmaniac.com> - 8.06-1
- Initial Fedora Package version 8.06

